/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.movimientos_tag', {
            url: '/movimientos_tag',
            templateUrl: 'templates/hikvision/movimientos-tag.html' + random,
            controller: 'MovimientosTagCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/hikvision-controllers.js' + random,
                            'js/services/hikvision-services.js' + random,
                            'css/angular-moment-picker.min.css',
                            'js/modules/angular-moment-picker.min.js'
                        ]);
                    }
                ]
            }
        });
    }
]);